Subject: Re: debugging multi-threaded gnu-win32 apps with gdb?
From: Stan Shebs <[email-masked]>

22 Oct 1996 10:08:33 -0700
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: Gnus v5.3/Emacs 19.34

[email-masked] (Michel Dagenais) writes:

> I am trying to port multithreaded applications to gnu-win32. These
> applications already contain code to call native Win32 calls for
> a number of things including threads. Will gdb be able to do something
> useful on such multi-threaded applications?

Probably not.  I say "probably" because gdb/win32-nat.c does include
a small amount of thread-awareness, but it doesn't look complete, and
nobody has worked on it recently.  Try it and let everybody know what
happens... 1/2 :-)

							Stan